#
# spec file for package killport
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           killport
Version:        1.1.0
Release:        1.5
Summary:        A tool to easily kill processes running on a specified port
License:        MIT
Group:          System/Console
URL:            https://github.com/jkfran/killport
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo-packaging

%description
A command-line utility for killing processes listening on specific ports.
It's designed to be simple, fast, and effective.

Features:
- Kill processes by port number
- Supports multiple port numbers
- Verbosity control

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%check
cargo test -- --test-threads=1

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Jun  3 2024 Andrea Manzini <andrea.manzini@suse.com>
- Update to 1.1.0:
  * fixed testsuite
  * added Windows support
* Sat May 25 2024 Andrea Manzini <andrea.manzini@suse.com>
- Update to 1.0.0:
  * Mode Selection: Users can now specify whether to target processes, containers,
    or both. This is controlled via the -m/--mode option.
  * Signal Specification: The tool now supports specifying many different signals
    to be sent to processes or containers, enhancing the control users have over
    how they terminate these entities.
  * Dry Run Option: This new feature allows users to simulate termination commands
    to see which processes or containers would be affected without actually performing
    the kill operation.
  * Release as a library
* Fri May 10 2024 Andrea Manzini <andrea.manzini@suse.com>
- First packaged release v0.9.2
